Bug 2959 - kernel 2.6.17-1.2439.fc6 freezes machine when running frysk
Summary: kernel 2.6.17-1.2439.fc6 freezes machine when running frysk
Status: RESOLVED FIXED
Alias: None
Product: frysk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Andrew Cagney
URL:
Keywords:
Depends on:
Blocks: 1496
  Show dependency treegraph
 
Reported: 2006-07-24 21:11 UTC by Mark Wielaard
Modified: 2006-10-11 13:47 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Wielaard 2006-07-24 21:11:13 UTC
The kernel that comes with the fc6test2 pre-releases freezes my machine when
doing a make check. And you can see it with the frysk packaged for fc6 when in
the Frysk Startup Manager selecting Debug Process, click on "None" and select a
running process (with debug info) from the list.
Comment 1 Mark Wielaard 2006-07-28 16:50:52 UTC
Reproduced the freeze with a clean FC5 install plus the 2.6.17-1.2462.fc6 (686)
kernel. When running make check it mouse and keyboard lock up, and although the
machine does respond to network pings, there is no way to access it anymore.
Comment 2 Andrew Cagney 2006-07-28 23:21:38 UTC
Causes a kernel panic.
Comment 3 Andrew Cagney 2006-07-28 23:38:17 UTC
Pushed upstream:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=200605

Reproducer is:
cagney@towns$ /usr/libexec/frysk/funit frysk.sys.TestCallPtrace
Running testChildContinue(frysk.sys.TestCallPtrace) ...
Comment 4 Mark Wielaard 2006-10-11 13:47:48 UTC
This doesn't happen anymore with newer fc6 (2.6.18) kernels.